<?php

/*
 * Pour activer la surchage PSL, il faut inclure ce fichier dans la configuration
 * des supannPerson, c'est à dire ajouter la ligne suivante à la fin du fichier
 * config.LSobjects.supannPerson.php :
 *
 *   include('config.LSobjects.pslPerson.php');
 *
 */

// Ajout de l'objectClass pslPerson
$GLOBALS['LSobjects']['supannPerson']['objectclass'][] = 'pslPerson';

// Ajout de l'onglet PSL dans l'interface
$GLOBALS['LSobjects']['supannPerson']['LSform']['layout']['PSL'] = array (
  'label' => 'PSL',
  'args' => array (
    'pslBadgeCSN',
    'pslBadgeExpire',
  ),
);

// Ajout des attributs PSL
$GLOBALS['LSobjects']['supannPerson']['attrs']['pslBadgeCSN'] = array(
  'label' => 'Badge CSN',
  'help_info' => 'CSN of Mifare badge of the PSL member',
  'ldap_type' => 'ascii',
  'html_type' => 'text',
  'check_data' => array (
          'regex' => array(
                  'msg' => "Invalid CSN code (digits and uppercase letters).",
                  'params' => array(
                          'regex' => '/^[0-9A-F]{8,14}$/',
                  ),
          ),
  ),
  'multiple' => 0,
  'rights' => array(
          'self' => 'r',
          'admin' => 'w',
  ),
  'view' => 1,
  'form' => array (
          'modify' => 1,
          'create' => 1,
  ),
);

$GLOBALS['LSobjects']['supannPerson']['attrs']['pslBadgeExpire'] = array(
  'label' => 'Badge expiration date',
  'ldap_type' => 'naiveDate',
  'html_type' => 'date',
  'html_options' => array(
    'time' => False,
    'manual' => True,
  ),
  'multiple' => 0,
  'rights' => array(
          'self' => 'r',
          'admin' => 'w',
  ),
  'view' => 1,
  'form' => array (
          'modify' => 1,
          'create' => 1,
  ),
);
